# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Summary: NetBeans JUnit Extensions
Name: nbjunit
Epoch:   0
Version: 1.29
Release: 1jpp
License: Sun Public License, Version 1.0
Group: Development/Libraries/Java
URL: http://xtest.netbeans.org
BuildArch: noarch
Source0: http://www.netbeans.org/files/documents/65/812/%{name}-%{version}-src.zip
BuildRoot: %{_tmppath}/%{name}-%{epoch}-%{version}-%{release}-buildroot
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: java-devel >= 0:1.4
BuildRequires: ant >= 0:1.6.2
BuildRequires: ant-apache-regexp >= 0:1.6.2
BuildRequires: ant-nodeps >= 0:1.6.2
BuildRequires: ant-trax >= 0:1.6.2
Requires: insanelib >= 0:1.0
Requires: junit >= 0:3.8
Requires: java >= 0:1.4

%description
NetBeans JUnit extensions provides useful asserts like assertSize,
assertGC or extensive support for collecting logs and using them
as an input for control of program flow. As such it shall be easy
to fight and simulate deadlocks and race conditions.

%package javadoc
Summary: Javadoc documentation for %{name}
Group: Development/Documentation

%description javadoc
This package contains the Javadoc documentation for %{name}.

%prep
%{__rm} -rf $RPM_BUILD_ROOT

%setup -q -c %{name}-%{version}
find ${RPM_BUILD_DIR}/%{name}-%{version} -name "*.jar" | xargs -t %{__rm} -f
# need to figure out where this is defined and make it use an unversioned jar
%{__ln_s} -f %{_javadir}/junit.jar ./junit/external/junit-3.8.2.jar
%{__ln_s} -f %{_javadir}/insanelib.jar ./xtest/external/insanelib.jar

%build
ant

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d -m755 ${RPM_BUILD_ROOT}%{_javadir}
%{__install} -d -m755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
%{__install} -m644 \
    nbbuild/netbeans/testtools/modules/org-netbeans-modules-%{name}.jar \
    ${RPM_BUILD_ROOT}%{_javadir}/%{name}-%{version}.jar
(
    cd ${RPM_BUILD_ROOT}%{_javadir}
    for jar in *-%{version}*; do
        %{__ln_s} -f $jar `echo $jar | sed "s|-%{version}||g"`
    done
)
%{__cp} -pr xtest/nbjunit/build/javadoc/org-netbeans-modules-nbjunit/* \
    ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri May 12 2006 Jason Corley <jason.corley@gmail.com> - 0:1.29-1jpp
- First JPackage release
- minor spec cleanup

* Mon Apr 17 2006 Jaroslav Tulach <jtulach@netbeans.org> - 0:0.9-1jpp
- First packaged release.

